Quassel IRC - Bug #897

Channel highlighted on ignored messages
01/19/2010 01:20 PM - Creap

Status: Resolved Start date: 01/19/2010
Priority: High Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.7.0

Version: 0.7-pre 0S: Any
Description

| have ignored a user with a Dynamic ignore, but when he types something in a channel, the channel gets marked with the unread
color.

If he types something in my highlight rules, the channel gets marked as highlighted.

Related issues:

Has duplicate Quassel IRC - Feature #811: Chat list entry shouldn't indicate ... Closed 09/20/2009
Has duplicate Quassel IRC - Bug #998: Ignoring still spawns a highlighted buf... Closed 06/19/2010
History

#1 - 07/11/2010 03:33 PM - seezer

- Status changed from New to Confirmed
- Priority changed from Normal to High

- Version changed from 0.5.0 to 0.7-pre

This is also true for hidden events as activity is set before filtering takes place.

#2 - 07/11/2010 03:45 PM - Anonymous

There's a merge request with a fix for the highlight on ignore, but that doesn't fix the hidden events still being shown ; that'd require a similar fix i think.

Merge request can be found at http:/gitorious.com/quassel/quassel/merge_requests/80

#3 - 08/11/2010 09:37 PM - johu
- Status changed from Confirmed to Resolved

- Target version set to 0.7.0
